//------------------------------------------------------------------------------
// <auto-generated>
//     Ce code a été généré à partir d'un modèle.
//
//     Des modifications manuelles apportées à ce fichier peuvent conduire à un comportement inattendu de votre application.
//     Les modifications manuelles apportées à ce fichier sont remplacées si le code est régénéré.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ADG_Assistance.DB
{
    using System;
    using System.Collections.Generic;
    
    public partial class Projet
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Projet()
        {
            this.Assistance = new HashSet<Assistance>();
            this.ContactProjet = new HashSet<ContactProjet>();
            this.LigneIntervention = new HashSet<LigneIntervention>();
            this.ProjetToContrat = new HashSet<ProjetToContrat>();
            this.Serveur = new HashSet<Serveur>();
        }
    
        public int Id { get; set; }
        public string Nom { get; set; }
        public bool PresenceBase { get; set; }
        public Nullable<int> IdContrat { get; set; }
        public Nullable<int> IdClient { get; set; }
        public string Git { get; set; }
        public string Clickonce { get; set; }
        public string NomBaseADG { get; set; }
        public string NomBaseClient { get; set; }
        public string MdpBaseADG { get; set; }
        public string MdpBaseClient { get; set; }
        public string NomUserBaseADG { get; set; }
        public string NomUserBaseClient { get; set; }
        public string Commentaire { get; set; }
        public string TeleassistanceMdp { get; set; }
        public string TeleassistanceUser { get; set; }
        public string NomProjetRedmine { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Assistance> Assistance { get; set; }
        public virtual Client Client { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<ContactProjet> ContactProjet { get; set; }
        public virtual Contrat Contrat { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<LigneIntervention> LigneIntervention { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<ProjetToContrat> ProjetToContrat { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Serveur> Serveur { get; set; }
    }
}
